GET/projects/api/v3/quote/{id}/export/preferences.json

Get export preferences for a quote.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    ExportPreferencesResponse is the response for GET /quote/:id/export/preferences.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

ExportPreferencesResponse
{
  "included": {
    "users": {
      "additionalProp": {
        "avatarUrl": "string",
        "canAccessPortfolio": true,
        "canAddProjects": true,
        "canManagePortfolio": true,
        "company": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "companyId": 0,
        "companyRoleId": 0,
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "deleted": true,
        "email": "string",
        "firstName": "string",
        "id": 0,
        "isAdmin": true,
        "isClientUser": true,
        "isPlaceholderResource": true,
        "isServiceAccount": true,
        "jobRoles": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "lastLogin": "string",
        "lastName": "string",
        "lengthOfDay": 0,
        "meta": {},
        "skills": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "teams": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "timezone": "string",
        "title": "string",
        "type": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "userCost": 0,
        "userRate": 0,
        "userRates": {
          "additionalProp": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          }
        },
        "workingHour": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "workingHoursId": 0
      }
    }
  },
  "summarizationPreferences": {
    "additionalProp": {
      "assignees": [
        {
          "description": "string",
          "id": 0
        }
      ],
      "columns": [
        "string"
      ],
      "groupBy": "string",
      "metadata": {
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        }
      },
      "sections": [
        {
          "description": "string",
          "id": 0,
          "merged": true
        }
      ],
      "types": [
        {
          "description": "string",
          "type": "string"
        }
      ]
    }
  }
}